# Interface ContractValueInfoKnown

This type of ContractValueInfo is used when we can identify the class.

#### Category

User-defined elementary types

#### Hierarchy

- ContractValueInfoKnown

- Defined in codec/lib/format/elementary.ts:274

#####
Index

### Properties

address
class
kind
rawAddress?

## Properties

### address

address: string

formatted as address (leading "0x", checksum-cased); note that this is not an AddressResult!

- Defined in codec/lib/format/elementary.ts:280

### class

class: ContractType

- Defined in codec/lib/format/elementary.ts:285

### kind

kind: "known"

- Defined in codec/lib/format/elementary.ts:275

### `Optional` rawAddress

rawAddress?: string

this is just a hexstring; no checksum (also may have padding beforehand)

- Defined in codec/lib/format/elementary.ts:284

Generated using TypeDoc